Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 134766 - Tabs, spaces and makefiles
Tabs, spaces and makefiles
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
6.x
PC Linux
: P2 (vote)
: TBD
Assigned To: Alexander Simon
issues@cnd
formatting, 61fixes2-fixed
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 10:15 UTC by eskild
Modified: 2014-01-17 22:57 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eskild 2008-05-09 10:15:13 UTC
Maybe the option is present, somewhere, but I cannot find it. The issue I'm having is as follows:

1. Options -> Editor -> Indentation: I have enabled "Expand Tabs to Spaces" -- that's how our C/C++ files must be
written where I work.

2. When editing Makefiles, there's often a crucial difference between use of spaces, and use of tabs. But, I cannot
enter tabs anymore - they're expanded to spaces!

So, perhaps in the Advanced Options -> Editor Settings -> Makefile Editor pane, add the same option, "Expand Tabs to
Spaces", but default it to disabled.
Comment 1 Jesse Grodnik 2008-05-09 18:35:50 UTC
Escalated to P2 since formatting should not change semantics, and in the case of makefiles it does.
Comment 2 Alexander Simon 2008-05-20 12:02:13 UTC
fixed
http://hg.netbeans.org/main/rev/59004a5c02e0
Comment 3 Quality Engineering 2008-05-20 15:58:58 UTC
Integrated into 'main-golden', available in NB_Trunk_Production #207 build
Changeset: http://hg.netbeans.org/main/rev/59004a5c02e0
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed: IZ#134766:Tabs, spaces and makefiles
Comment 4 soldatov 2008-05-21 17:39:37 UTC
verified in 200805210003 build
Comment 5 Alexander Pepin 2008-05-23 14:45:52 UTC
verified in trunk build 20080520
Comment 6 jinb 2008-05-29 13:46:08 UTC
fix backported into release61_fixes branch
changeset:   77606:e3cd78732b85


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo